Page MenuHomePhabricator

Introduce SlotRoleHandler and SlotRoleRegistry for declaring slot roles.
Closed, ResolvedPublic

Description

SlotRoleHandler represent a declaration of a slot role. They need to have at least the following methods:

  • getRoleName()
  • getContentModel()

The list of available methods is expected to be expanded to cover behavior of individual slots in different situations, like redirection, countability, and HTML output. The interface is similar in scope to ContentHandler.

To provide access to the available slot roles for a given title, a central SlotRoleRegistry service is needed. It exposes the following methods:

  • getSupportedSlotRoles( $title )
  • getRequiredSlotRoles( $title )
  • getSlotRoleHandler( $title, $role )

The lists returned by getSupportedSlotRoles() and getRequiredSlotRoles() only apply to new edits. There is no guarantee that no revisions exist that violate these constraints.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Opendaniel
Resolveddaniel
Resolveddaniel
OpenNone

Event Timeline

daniel triaged this task as Normal priority.May 7 2018, 2:21 PM
daniel created this task.
Vvjjkkii renamed this task from Introduce SlotRoleHandler and SlotRoleRegistry for declaring slot roles. to 5gdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii removed daniel as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot renamed this task from 5gdaaaaaaa to Introduce SlotRoleHandler and SlotRoleRegistry for declaring slot roles..Jul 2 2018, 6:40 AM
CommunityTechBot assigned this task to daniel.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Aklapper, gerritbot.

Change 434544 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] MCR EXP Introduce SlotRoleHandler and SlotRoleRegistry

https://gerrit.wikimedia.org/r/434544

Addshore moved this task from incoming to monitoring on the Wikidata board.Sep 19 2018, 7:09 AM

Change 434544 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Introduce SlotRoleHandler and SlotRoleRegistry

https://gerrit.wikimedia.org/r/434544

Is this task ready to be marked Resolved?

daniel closed this task as Resolved.Dec 10 2018, 2:47 PM

Change 481018 had a related patch set uploaded (by Reedy; owner: Daniel Kinzler):
[mediawiki/core@REL1_32] [MCR] Introduce SlotRoleHandler and SlotRoleRegistry

https://gerrit.wikimedia.org/r/481018

Change 481018 abandoned by Reedy:
[MCR] Introduce SlotRoleHandler and SlotRoleRegistry

https://gerrit.wikimedia.org/r/481018

greg added a project: Multimedia.Mar 7 2019, 10:59 PM